Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.mllp
Class SecureTCPPort

    java.lang.Object
      org.eclipse.ohf.ihe.common.mllp.TCPPort
          org.eclipse.ohf.ihe.common.mllp.SecureTCPPort

    public class SecureTCPPort

extends TCPPort

Constructor Summary
`SecureTCPPort()`

Method Summary
`java.lang.String` | `getKeyStoreName()` Return the key store name.
`java.lang.String` | `getKeyStorePassword()` Return the key store password.
`java.lang.String` | `getProtocol()` Return the secure tcp protocol.
`java.lang.String` | `getSslProviderClass()` Return the secure tcp ssl provider class.
`java.lang.String` | `getSslProviderName()` Return the secure tcp ssl provider name.
`java.lang.String` | `getTrustStoreName()` Return the trust store name.
`java.lang.String` | `getTrustStorePassword()` Return the trust store password.
`boolean` | `isClientAuthNeeded()` Return whether or not client authentication is needed.
`void` | `setClientAuthNeeded(boolean value)` Set whether or not client authentication is needed.
`void` | `setKeyStoreName(java.lang.String value)` Set the key store name.
`void` | `setKeyStorePassword(java.lang.String value)` Set the key store password.
`void` | `setProtocol(java.lang.String value)` Set the secure tcp protocol.
`void` | `setSslProviderClass(java.lang.String value)` Set the secure tcp ssl provider class.
`void` | `setSslProviderName(java.lang.String value)` Set the secure tcp ssl provider name.
`void` | `setTrustStoreName(java.lang.String value)` Set the trust store name.
`void` | `setTrustStorePassword(java.lang.String value)` Set the trust store password.

Methods inherited from class org.eclipse.ohf.ihe.common.mllp.TCPPort
`getBufferSize, getConnTimeoutMS, getEndHex, getMaxSocketErrorCount, getSocketTimeoutMS, getStartHex, getTcpHost, getTcpPort, setBufferSize, setConnTimeoutMS, setEndHex, setMaxSocketErrorCount, setSocketTimeoutMS, setStartHex, setTcpHost, setTcpPort`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecureTCPPort

    public SecureTCPPort()

Method Detail

### getKeyStoreName

    public java.lang.String getKeyStoreName()

  Return the key store name.

  Returns:
    store name

### setKeyStoreName

    public void setKeyStoreName(java.lang.String value)

  Set the key store name.

  Parameters:
    `value` -

### getKeyStorePassword

    public java.lang.String getKeyStorePassword()

  Return the key store password.

  Returns:
    key store password

### setKeyStorePassword

    public void setKeyStorePassword(java.lang.String value)

  Set the key store password.

  Parameters:
    `value` -

### getTrustStoreName

    public java.lang.String getTrustStoreName()

  Return the trust store name.

  Returns:
    store name

### setTrustStoreName

    public void setTrustStoreName(java.lang.String value)

  Set the trust store name.

  Parameters:
    `value` -

### getTrustStorePassword

    public java.lang.String getTrustStorePassword()

  Return the trust store password.

  Returns:
    store password

### setTrustStorePassword

    public void setTrustStorePassword(java.lang.String value)

  Set the trust store password.

  Parameters:
    `value` -

### isClientAuthNeeded

    public boolean isClientAuthNeeded()

  Return whether or not client authentication is needed.

  Returns:
    boolean

### setClientAuthNeeded

    public void setClientAuthNeeded(boolean value)

  Set whether or not client authentication is needed.

  Parameters:
    `value` -

### getProtocol

    public java.lang.String getProtocol()

  Return the secure tcp protocol.

  Returns:
    protocol

### setProtocol

    public void setProtocol(java.lang.String value)

  Set the secure tcp protocol.

  Parameters:
    `value` -

### getSslProviderName

    public java.lang.String getSslProviderName()

  Return the secure tcp ssl provider name.

  Returns:
    provider name

### setSslProviderName

    public void setSslProviderName(java.lang.String value)

  Set the secure tcp ssl provider name.

  Parameters:
    `value` -

### getSslProviderClass

    public java.lang.String getSslProviderClass()

  Return the secure tcp ssl provider class.

  Returns:
    provider class

### setSslProviderClass

    public void setSslProviderClass(java.lang.String value)

  Set the secure tcp ssl provider class.

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD